package com.xyzshell.myphoneinfo.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.xyzshell.myphoneinfo.databinding.ItemListCpuBinding

class CpuListAdapter: RecyclerView.Adapter<CpuListAdapter.ListViewHolder>() {
    private lateinit var context: Context
    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): ListViewHolder {
        context = parent.context
        val binding= ItemListCpuBinding.inflate(LayoutInflater.from(context), parent, false)
        return ListViewHolder(binding)
    }

    override fun onBindViewHolder(
        holder: ListViewHolder,
        position: Int
    ) {

    }

    override fun getItemCount(): Int {
        return 3
    }

    class ListViewHolder(val binding: ItemListCpuBinding): RecyclerView.ViewHolder(binding.root)
}